uuid: 895aee55-5278-4502-a429-c4339f11f8c7
langcode: es
status: true
dependencies: {  }
id: gronze_pg_list_content_titles
class: null
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - paragraphs
  - level2
migration_group: gronze_paragraph
label: 'list_content_titles PG migration from Gronze D7'
source:
  plugin: d7_paragraphs_item_check_archived
  high_water_property:
    name: revision_id
    alias: p
  entity: paragraph
  bundle: list_content_titles
process:
  langcode:
    plugin: default_value
    default_value: es
  field_ref_related_content:
    plugin: sub_process
    source: field_contenido_relacionado
    process:
      target_id:
        plugin: migration_lookup
        migration:
          - gronze_node_alojamiento
          - gronze_node_albergues
          - gronze_node_article
          - gronze_node_caminos
          - gronze_node_etapas
          - gronze_node_page
        source: target_id
        no_stub: true
  field_text_title: field_text_title
destination:
  plugin: 'entity_reference_revisions:paragraph'
  default_bundle: list_content_titles
migration_dependencies:
  required:
    - gronze_node_alojamiento
    - gronze_node_albergues
    - gronze_node_article
    - gronze_node_caminos
    - gronze_node_etapas
    - gronze_node_page
